9 Oct 2022 clm meet 22-282

1.
NAME
2.
SYNOPSIS
3.
DESCRIPTION
4.
OPTIONS
5.
AUTHOR
6.
SEE ALSO

## NAME

clm_meet — compute the intersection of a set of clusterings.

clmmeet is not in actual fact a program. This manual page documents the behaviour and options of the clm program when invoked in mode meet. The options -h, --apropos, --version, -set, --nop are accessible in all clm modes. They are described in the clm manual page.

## SYNOPSIS

clm meet [-o fname (output file name)] [-h (print synopsis, exit)] [--apropos (print synopsis, exit)] [--version (print version, exit)] <file name>+

## DESCRIPTION

clm meet computes the intersection of a set of clusterings, that is, the largest clustering that is a subclustering of all the clusterings in the set. It stores the intersection (or meet) in the argument to the -o flag, which must be the first option given. All remaining arguments are interpreted as names of files containing clusterings in mcl format (see mcxio), which must all pertain to a set of the same cardinality.

This utility can be useful in measuring (in conjunction with clm dist) the consistency of a set of clusterings at different levels of granularity — if the meet of all those clusterings is close to being a subclustering of each of them, consistency is good. See clm dist for an example.

## OPTIONS

-o fname (output file name)

## AUTHOR

Stijn van Dongen.

## SEE ALSO

mclfamily for an overview of all the documentation and the utilities in the mcl family.